export interface IStreamObserver<T> {
    next(value: T): void;
    error(error: any): void;
    complete(): void;
}
export interface IStreamSubscription {
    unsubscribe(): void;
}
export declare function observableSymbol(): any;
export interface IObservableStream<T> {
    subscribe(observer: IStreamObserver<T>): IStreamSubscription;
    subscribe(observer: (value: T) => void): IStreamSubscription;
}
