import {Pipe, Lens, BaseLens} from "../internal"
export declare type ILogger<T = any> = (
    newValue: T,
    oldValue: T,
    lens: string
) => void
export declare class Log extends Pipe {
    private logger
    constructor(base: BaseLens, logger: ILogger)
    recompute(): any
    getCacheKey(): ILogger<any>
    describe(): string
}
export declare function defaultLog<T>(
    this: Lens<T>,
    newValue: T,
    _oldValue: T,
    lens: string
): void
