import {BaseLens} from "../internal"
export declare class Store<T = any> extends BaseLens<T> {
    private name
    private currentDraft?
    constructor(initialValue: T, name: string)
    update(updater: ((draft: T) => T | void)): void
    recompute(): T
    resume(): void
    suspend(): void
    getCacheKey(): void
    describe(): string
}
