import {BaseLens, Lens} from "../internal"
export declare class Merge<
    X = any,
    T extends ReadonlyArray<X> = any[]
> extends BaseLens<T> {
    bases: BaseLens[]
    constructor(bases: BaseLens[])
    recompute(): any
    update(updater: ((draft: T) => T | void)): void
    resume(): void
    suspend(): void
    getCacheKey(): undefined
    describe(): string
}
export declare function merge(...lenses: Lens[]): Lens
