import * as React from "react"
import {Lens, Tracker, Disposer} from "./internal"
export declare class AutoRender extends React.PureComponent {
    tracker?: Tracker
    render(): {}
    componentWillUnmount(): void
}
export declare class RenderLens<T> extends React.PureComponent<{
    lens: Lens<T>
    renderer: (value: T, lens: Lens<T>) => React.ReactNode
}> {
    subscription?: Disposer
    onChange: () => void
    render(): React.ReactNode
    componentDidMount(): void
    componentDidUpdate(prevProps: any): void
    componentWillUnmount(): void
}
export declare class RenderLenses extends React.PureComponent {
    itemRenderer: (lens: any) => JSX.Element
    allRenderer: (lenses: any) => JSX.Element
    render(): JSX.Element
}
