import { Lens, Transformer } from "../internal";
export interface IRecorder<T = any> {
    pause(): void;
    resume(): void;
    reset(): void;
    replay(target: Lens<T>): void;
}
export declare function fork<T>(recordActions: true): Transformer<T, Lens<T> & IRecorder<T>>;
export declare function fork<T>(recordActions?: false): Transformer<T, Lens<T>>;
