import * as React from "react";
import { Lens, Transformer, KeyedLens } from "../internal";
export declare function autoRender(fn: () => React.ReactNode): JSX.Element;
export declare function render<T>(renderer: (value: T, lens: Lens<T>) => React.ReactNode): Transformer<T, React.ReactElement<any>>;
export declare function renderAll<T>(renderer: (value: T, lens: KeyedLens<T>) => React.ReactNode): Transformer<Lens<T[]>, React.ReactElement<any>>;
export declare function renderAll<T>(renderer: (value: T, lens: KeyedLens<T>) => React.ReactNode): Transformer<Lens<{
    [key: string]: T;
}>, React.ReactElement<any>>;
