import {Lens, Builder} from "../internal"
export interface IRecorder<T = any> {
    pause(): void
    resume(): void
    reset(): void
    replay(target: Lens<T>): void
}
export declare function fork<T>(
    recordActions: true
): Builder<T, Lens<T> & IRecorder<T>>
export declare function fork<T>(recordActions?: false): Builder<T, Lens<T>>
