import * as React from "react"
import {Lens, Tracker, Builder} from "../internal"
declare class AutoRender extends React.PureComponent {
    tracker?: Tracker
    render(): {}
    componentWillUnmount(): void
}
export declare function autoRender(
    fn: () => React.ReactNode
): React.ComponentElement<
    Readonly<{
        children?: React.ReactNode
    }> &
        Readonly<{}>,
    AutoRender
>
export declare function render<T>(
    renderer: (value: T) => React.ReactNode
): Builder<Lens<T>, React.ReactElement<any>>
export declare function renderAll<T>(
    renderer: (value: T) => React.ReactNode
): Builder<Lens<T[]>, React.ReactElement<any>>
export declare function renderAll<T>(
    renderer: (value: T) => React.ReactNode
): Builder<
    Lens<{
        [key: string]: T
    }>,
    React.ReactElement<any>
>
export {}
